JavaScript API Reference
Class Index | File Index

## Classes

- wm
- wm.Bounds
- wm.Component
- wm.Container
- wm.Control
- wm.DataGrid
- wm.DataGridColumn
- wm.Dijit
- wm.expression
- wm.LiveForm
- wm.LiveVariable
- wm.LiveView
- wm.MavericksModel
- wm.NavigationCall
- wm.NavigationService
- wm.Object
- wm.Panel
- wm.Service
- wm.ServiceVariable
- wm.Variable

# Class wm.DataGridColumn

Extends wm.Component.
Defined in: DataGrid.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| wm.DataGridColumn() Encapsulates a column in a DataGrid.

Property Summary
Property Attributes | Property Name and Description
--- | ---
Note: to support bindings it is recommend that you use the getValue/setValue API to access or modify properties.
| autoSize This column will be as wide as needed to fill available space.
| dataExpression This column will be as wide as needed to fill available space.

Fields borrowed from class wm.Component:
  name, owner

Method Summary
Method Attributes | Method Name and Description
--- | ---
| onClick(inRowIndex, inCell, inEvent) Fires when the user clicks the mouse in this cell.

Methods borrowed from class wm.Component:
  constructor, createComponent, destroy, getId, getRuntimeId
Methods borrowed from class wm.Object:
  extendSchema, getPropertyType, getPropFlags, getValue, listDataProperties, listProperties, setValue, toString

Class Detail
wm.DataGridColumn()
Encapsulates a column in a DataGrid.
Report errata or suggestions for DataGridColumn.
Property Detail
Note: to support bindings it is recommend that you use the getValue/setValue API to access or modify properties.
autoSize
This column will be as wide as needed to fill available space. If there is no space avaiable, the column will be invisible. If multiple columns are autoSize, the available space is divided evenly.
Report errata or suggestions for autoSize.

dataExpression
This column will be as wide as needed to fill available space. If there is no space avaiable, the column will be invisible. If multiple columns are autoSize, the available space is divided evenly.
Report errata or suggestions for dataExpression.
Method Detail
onClick(inRowIndex, inCell, inEvent)
Fires when the user clicks the mouse in this cell.

Parameters:
{Number} inRowIndex
  The clicked row.
{dojox.grid.cell} inCell
  Various fields describing the clicked cell.
{wm.DataGrid.Event} inEvent
  The browser event object, decorated.

Report errata or suggestions for onClick.

Documentation generated by JsDoc Toolkit 2.0.1 on Wed Jun 03 2009 13:28:38 GMT-0700 (PDT)